GET
Get credit note attachment
Scope:
sales:invoices.readhttps://api.holded.com/api/v2/credit-notes/{creditNoteId}/attachments/{attachmentId}Downloads a specific attachment from a credit note. The response contains the raw binary content of the file.
Parameters
Path parameters
creditNoteId
stringrequiredCredit Note ID (24-char hex ObjectId)
attachmentId
stringrequiredAttachment identifier (filename)
Request
python
import requests
url = "https://api.holded.com/api/v2/credit-notes/{creditNoteId}/attachments/{attachmentId}"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())Responses
Response
json
"string"Success responses
200Attachment binary contentapplication/octet-streamstring<binary>
Error responses
401Invalid or missing API keyapplication/json403Insufficient permissionsapplication/json404Credit note or attachment not foundapplication/json429Rate limit exceededapplication/json500Internal server errorapplication/jsonobject
typestring
titlestring
statusinteger
detailstring